DNSSEC

related to DNSSEC

Retrieve a DNSSEC key

get

Get DNSSEC keys for your DNS zone.

Authorizations
AuthorizationstringRequired

Please provide header value as 'Bearer ' and don't forget to add 'Bearer' HTTP Authorization Scheme before the token.

Path parameters
zoneIdstring · uuidRequired

The ID (UUID) of the DNS zone.

Responses
chevron-right
200

Success case, dnssec keys returned.

application/json
idstringOptionalExample: 98277a78-a6a2-4672-ac9a-a68ca0a8d67a
typestring · enumOptionalPossible values:
hrefstring · uriRead-onlyOptionalExample: <RESOURCE-URI>
get
/zones/{zoneId}/keys

Create a DNSSEC key

post

Enable DNSSEC keys and create associated DNSKEY records for your DNS zone.

Authorizations
AuthorizationstringRequired

Please provide header value as 'Bearer ' and don't forget to add 'Bearer' HTTP Authorization Scheme before the token.

Path parameters
zoneIdstring · uuidRequired

The ID (UUID) of the DNS zone.

Body
Responses
post
/zones/{zoneId}/keys

Delete a DNSSEC key

delete

Disable DNSSEC keys and remove associated DNSKEY records for your DNS zone.

Authorizations
AuthorizationstringRequired

Please provide header value as 'Bearer ' and don't forget to add 'Bearer' HTTP Authorization Scheme before the token.

Path parameters
zoneIdstring · uuidRequired

The ID (UUID) of the DNS zone.

Responses
delete
/zones/{zoneId}/keys

Last updated

Was this helpful?